if (navigator.userAgent.match(/IEMobile\/10\.0/)) {
  var msViewportStyle = document.createElement('style');
  msViewportStyle.appendChild(
    document.createTextNode(
      '@-ms-viewport{width:auto!important}'
    )
  );
  document.querySelector('head').appendChild(msViewportStyle);
}
jQuery(function($) {
    var timeline = $('.timeline'),
        contentLoading = false,
        moveByScrubber = false,
        loadedPage = [1],
        viewWidth = $(window).outerWidth(),
        viewHeight = $(window).outerHeight();

    // Fix responsive iframe
    // -------------------------------------
    function responsiveIframe() {
        $('iframe').each(function() {
            var parent = $(this).parent().attr('class');
            if (!$(this).hasClass('twitter-tweet') && parent !== 'video-preview form-group') {
                var iw = $(this).attr('width'),
                    ih = $(this).attr('height'),
                    ip = $(this).parent().width(),
                    ipw = ip / iw,
                    ipwh = ih * ipw; 
                if (iw !== '100%') {
                    $(this).css({
                        'width': ip,
                        'height': ipwh,
                    });
                }
            }
        });
    }

    // Nivo lightbox
    // -------------------------------------
    function nivoLightbox() {
        if (dwtl.gallery_lightbox !== 'disable') {
            $('.gallery .thumbnail, .lightbox').nivoLightbox();
        }
    } 

    // Timeline layout
    // -------------------------------------
    function dwtl_layout() {
        var dwtl = $('.timeline');
        var dwtl_width = dwtl.outerWidth();
        var dwlt_half = dwtl.find('.dwtl');
        if (dwtl_width >= 800) {
            dwtl.removeClass('one-col').addClass('two-col');

            var left_Col = 0,
                right_Col = 0;
            dwlt_half.each(function(index, el) {
                if ($(el).hasClass('normal')) {
                    if (left_Col <= right_Col) {
                        $(el).removeClass('dwtl-right').addClass('dwtl-left');
                        left_Col += $(el).outerHeight();
                    } else {
                        $(el).removeClass('dwtl-left').addClass('dwtl-right');
                        right_Col += $(el).outerHeight();
                    }
                } else if ($(el).hasClass('full')) {
                    left_Col = 0;
                    right_Col = 0;
                }
            });
            $('.dwtl').addClass('show');
        } else {
            dwtl.removeClass('two-col').addClass('one-col');
            dwlt_half.each(function(index, el) {
                $(el).removeClass('dwtl-left dwtl-right');
            });
        }
    }

    // 
    function wrap_height() {
        var wpadminbarHeight = $('#wpadminbar').outerHeight();
        $('.wrap').css({
            'min-height': (viewHeight - wpadminbarHeight)
        });
    }

    // 
    function sidebar_hieght() {
        var sidebarHieght = $('.sidebar-primary .inner').outerHeight();
        if (sidebarHieght > viewHeight) {
            $('.sidebar-primary').css({
                'overflow-y': 'scroll'
            });
        }
    }

    var elementFound = false;
    function element_check( t ) {
        var ele_page = t.data('page');
        var prev_ele_page = ele_page - 1;
        var prev_ele_check = $('.timeline').find('.timeline-pale[data-page="'+ prev_ele_page +'"]');
       
        if ( prev_ele_check.length === 0 ) {
            elementFound = true;
        } else {
            elementFound = false;
        }
    }

    function show_more( page_position ) {
        var sm_year = page_position.data('year');
        var sm_current = page_position.data('page');
        var sm_prev = parseInt( sm_current ) - 1 ;
        var btn_check = $('.timeline' ).find('.show-more-time-page[data-page="'+sm_prev+'"]').length;
        if ( btn_check === 0 ) {
            var sm_date = $('.timeline-date-scrubber ul').find('.data-page[data-page="'+sm_prev+'"]').find('a').text();
            var html = '<span class="show-more-time-page" data-page="'+sm_prev+'">Show more post in '+sm_date+'</span><br>';
            page_position.prepend( html );
        } else {
            return;
        } 
    }

    // document ready 
    // --------------------------------
    $(document).ready(function() {
        // Main sidebar
        $('.sidebar-toggle.active').click(function() {
            $('.sidebar-primary').css({
                'display': 'block',
                'position': 'fixed'
            });
            sidebar_hieght();
            $('html').addClass('main-sidebar-open');
            setTimeout(function(){
                $('.sidebar-toggle').addClass('x').removeClass('active');
            },400);
        });

        $(document).on('click','.wrap, .sidebar-toggle.x', function(){
            $('html').removeClass('main-sidebar-open');
            setTimeout(function() {
                $('.sidebar-primary').css({
                    'display': 'none',
                    'position': 'absolute'
                });
                $('.sidebar-toggle').addClass('active').removeClass('x');
            }, 400);
        });

        // Main nav
        $('.nav-main-toggle.active').click(function() {
            $('.nav-main').css({
                'display': 'block',
                'position': 'fixed'
            });
            
            $('html').addClass('main-nav-open');
            setTimeout(function(){
                $('.nav-main-toggle').addClass('x').removeClass('active');
            },400);
        });

        $(document).on('click','.wrap, .nav-main-toggle.x', function(){
            $('html').removeClass('main-nav-open');
            setTimeout(function() {
                $('.nav-main').css({
                    'display': 'none',
                    'position': 'absolute'
                });
                $('.nav-main-toggle').addClass('active').removeClass('x');
            }, 400);
        });

        $(document).on('click','.sub-nav-open', function(){
            $(this).toggleClass('active');
            sidebar_hieght();
        });

        sidebar_hieght();
        wrap_height();

        // Timeline 
        dwtl_layout();
        // $('html').scrollTop(1);

        // responsive Iframe
        responsiveIframe();

        // Pretty Print
        prettyPrint();

        // Nivo lightbox
        nivoLightbox();

        $('.widget .children').before('<i class="fa fa-caret-right sub-nav-open"></i>');

        // scroll to top button
        $(window).scroll(function() {
            if ($(this).scrollTop() > viewHeight / 2) {
                $('.scrollup').fadeIn();
            } else {
                $('.scrollup').fadeOut();
            }
        });

        $('.scrollup').click(function() {
            $("html, body").animate({
                scrollTop: 0
            }, 600);
            return false;
        });

    });

    // window resize
    // --------------------------------
    $(window).resize(function() {
        sidebar_hieght();
        wrap_height();

        // Timeline 
        dwtl_layout();

        // responsive Iframe
        responsiveIframe();
    });

    //Timeline scrubber
    // -------------------------------------
    if (typeof $('.timeline-date-scrubber').offset() !== 'undefined') {
        var scrubberOffset = $('.timeline-date-scrubber').offset().top - 30;
        if ($('body').hasClass('admin-bar')) {
            scrubberOffset -= 32;
        }
        $('.timeline-date-scrubber').affix({
            offset: {
                top: scrubberOffset
            }
        });
    }

    var prev_year_click = false;

    $('.timeline-date-scrubber li').on('click', function(event) {
        event.preventDefault();
        var timelineInfinitescroll = $('.timeline').data('infinitescroll');
        var t = $(this);
        var scrollPoint = 0;
        var currPage;
        if ( t.hasClass('pager-year') ) {
            var yearNum = t.data('year');
            var year_exsist = timeline.find('.year-point[data-year="' + yearNum + '"]');
            var page_length = t.next().data('page');
            if ( loadedPage.indexOf(page_length) > -1 && year_exsist.length > 0 ) {
                if (moveByScrubber === page_length) {
                    return false;
                }
                moveByScrubber = page_length;
                scrollPoint = timeline.find('.year-point[data-year="' + yearNum + '"]').offset().top;
                $('html, body').animate({
                        scrollTop: scrollPoint
                    },
                    1000, function() {
                        timelineInfinitescroll._binding('bind');
                        $('.timeline-date-scrubber ul li').removeClass('active');
                        t.addClass('open');
                        t.next().addClass('active');
                        moveByScrubber = false;
                    });
            } else {
                if ( !contentLoading && !moveByScrubber ) {

                    moveByScrubber = page_length;
                    timelineInfinitescroll._binding('unbind');
                    timelineInfinitescroll.options.state.currPage = parseInt(page_length) -1;
                    currPage = timelineInfinitescroll.options.state.currPage;
                    if (timelineInfinitescroll.options.state.isDone && year_exsist < $('.timeline-date-scrubber ul li').length) {
                        timelineInfinitescroll.options.state.isDone = false;
                    }
                    prev_year_click = true;
                    timelineInfinitescroll.retrieve();
                }
            }
        } else if ( t.hasClass('data-page') ) {
            var pageNum = t.data('page');
            if (loadedPage.indexOf(pageNum) > -1 && timeline.find('.timeline-pale[data-page="' + pageNum + '"]').length > 0) {
            if (moveByScrubber === pageNum) {
                return false;
            }
            moveByScrubber = pageNum;
            //Loaded
            scrollPoint = timeline.find('.timeline-pale[data-page="' + pageNum + '"]').offset().top;
            if ($('body').hasClass('admin-bar')) {
                scrollPoint -= 32;
            }

            $('html, body').animate({
                    scrollTop: scrollPoint
                },
                1000, function() {
                    timelineInfinitescroll._binding('bind');
                    $('.timeline-date-scrubber ul li').removeClass('active');
                    t.addClass('active');
                    t.parent().prev().addClass('open');
                    moveByScrubber = false;
                });
        } else {
            if (!contentLoading && !moveByScrubber) {
                moveByScrubber = pageNum;
                var btn = $('.timeline').find('.show-more-time-page[data-page="'+ pageNum +'"]');
                if ( btn.length === 1 ) {
                    btn.remove();
                }
                timelineInfinitescroll._binding('unbind');
                timelineInfinitescroll.options.state.currPage = parseInt(pageNum) - 1;
                currPage = timelineInfinitescroll.options.state.currPage;
                if (timelineInfinitescroll.options.state.isDone && loadedPage.length < $('.timeline-date-scrubber ul li').length) {
                    timelineInfinitescroll.options.state.isDone = false;
                }
                timelineInfinitescroll.retrieve();
                element_check( t );
            }
        }
        }
    });


    var msgText = '';
    if (infinitescroll.show_more_button === 'yes') {
        msgText = infinitescroll.more;
    }

    timeline.infinitescroll({
        navSelector: ".post-nav",
        nextSelector: ".post-nav .previous a",
        itemSelector: ".post",
        loading: {
            finished: function() {
                contentLoading = false;
                var $t = $('.timeline').data('infinitescroll');
                var opts = $t.options;
                if (!opts.state.isBeyondMaxPage) {
                    opts.loading.msg.fadeOut(opts.loading.speed);
                }
                if (infinitescroll.show_more_button === 'yes') {
                    $('#infscr-loading img').css({'display':'none'});
                    $('#infscr-loading div').css({'display':'block'});
                }
                // Timeline 
                dwtl_layout();
            },
            finishedMsg: infinitescroll.the_end,
            img: infinitescroll.loading_timline,
            msgText: msgText,
            start: function() {
                contentLoading = true;
                var $t = $('.timeline').data('infinitescroll');
                var opts = $t.options;
                $(opts.navSelector).hide();
                if (loadedPage.indexOf(opts.state.currPage + 1) > -1) {
                    contentLoading = false;
                    return false;
                }
                loadedPage.push(opts.state.currPage + 1);
                opts.loading.msg
                    .appendTo(opts.loading.selector)
                    .show(opts.loading.speed, $.proxy(function() {
                        $t.beginAjax(opts);
                    }, $t));

                if (infinitescroll.show_more_button === 'yes') {
                    $('#infscr-loading div').addClass('show-more');
                }
            }
        },
        appendCallback: false,
        errorCallback: function() {
            var timelineInfinitescroll = $('.timeline').data('infinitescroll');
            timelineInfinitescroll._binding('bind');
            contentLoading = false;
            moveByScrubber = false;

            if (infinitescroll.show_more_button === 'yes') {
                $('#infscr-loading div').addClass('end').css({'display':'block'});
                setTimeout(function(){
                    $('#infscr-loading').css({'cursor':'initial'});
                },2000);
            }
        }
    }, function(elems) {
        if (elems.length > 0) {
            var $t = $('.timeline').data('infinitescroll');
            var opts = $t.options;
            $t._debug('contentSelector', $(opts.contentSelector)[0]);
            var max = Math.max.apply(null, loadedPage);
            var date = $('.timeline-date-scrubber').find('[data-page="'+ opts.state.currPage + '"]' ).find('a').text();
            var year = $('.timeline-date-scrubber').find('[data-page="'+ opts.state.currPage + '"]' ).parent().find('.pager-year').text();
            var current_year =  $('.timeline-date-scrubber').find('[data-page="'+ opts.state.currPage + '"]' ).parent().find('.pager-year').text();
            var prev_year = $('.timeline-date-scrubber').find('[data-page="'+ ( opts.state.currPage - 1 ) + '"]' ).parent().find('.pager-year').text();
            var separate = $('<div data-year="'+year+'" data-page="' + opts.state.currPage + '" class="timeline-pale dwtl full remove-time-anchor"><span> ' + date  + '</span></div>');
            var pageNum = opts.state.currPage;

            if (opts.state.currPage >= max) {
                $(opts.contentSelector).append(separate);
                $(opts.contentSelector).append(elems);
            } else {
                var currPage = opts.state.currPage;
                while (currPage > 0) {
                    currPage--;
                    if (loadedPage.indexOf(currPage) > -1) {
                        break;
                    }
                }

                $(opts.contentSelector).find('.post[data-page="' + currPage + '"]:last').after(elems);
                $(opts.contentSelector).find('.post[data-page="' + currPage + '"]:last').after(separate);
                opts.state.currPage = max;
            }

            if ( current_year !== prev_year ) {
                if ( prev_year_click ) {
                    $('.timeline-pale[data-year="'+ current_year +'"]:first').before( '<div class="timeline-pale line-year year-point dwtl full" data-year="'+ year +'"><span class="bubble">'+ year +'</span></div>' );
                    prev_year_click = false;
                } else {
                    $('.timeline-pale[data-page="'+ opts.state.currPage + '"]').before( '<div class="timeline-pale line-year year-point dwtl full" data-year="'+ year +'"><span class="bubble">'+ year +'</span></div>' );

                }
            }

            dwtl_layout();
            nivoLightbox();
            responsiveIframe();

            scrollPoint = timeline.find('.timeline-pale[data-page="' + pageNum + '"]').offset().top;
            page_position = timeline.find('.timeline-pale[data-page="' + pageNum + '"]');

            if ($('body').hasClass('admin-bar')) {
                scrollPoint -= 32;
            }

            if (moveByScrubber) {
                $('html, body').animate({
                        scrollTop: scrollPoint
                    },
                    1000, function() {
                        moveByScrubber = false;
                        $t._binding('bind');

                        if (infinitescroll.show_more_button === 'yes') { $(window).unbind('.infscr'); }

                        $('.timeline-date-scrubber ul').removeClass('open');
                        $('.timeline-date-scrubber ul li').removeClass('active');
                        $('.timeline-date-scrubber ul li[data-page="' + pageNum + '"]').addClass('active');
                        $('.timeline-date-scrubber ul li.active').parent().addClass('open');
                            if (  elementFound === true ){
                                elementFound = false;
                                show_more( page_position );
                            } else if ( showMoreElement === true ) {
                                showMoreElement = false;
                                show_more( page_position );
                            } else {
                                return;
                            }
                        });
            }

        }
    });

    if (infinitescroll.show_more_button === 'yes') {
        $(window).unbind('.infscr');
        $(document).on('click','#infscr-loading',function() {
            timeline.infinitescroll('retrieve');
            if ( ! $('#infscr-loading div').hasClass('end')) {
                $('#infscr-loading div').css({'display':'none'});
                $('#infscr-loading img').css({'display':'inline-block'});
            }
            return false;
        });
    }
    // Window scroll 
    //------------------------
    $(window).on('scroll', function() {
        if (!contentLoading) {
            $('.timeline .post').each(function() {
                var t = $(this);
                var position = $(window).scrollTop() - t.offset().top;
                if (position <= 0 && position >= -500 && !moveByScrubber) {
                    var page = t.data('page');
                    var month = t.data('month');
                    var year = t.data('year');
                    $('.timeline-date-scrubber ul').removeClass('open');
                    $('.timeline-date-scrubber ul li').removeClass('active');
                    $('.timeline-date-scrubber ul li[data-page="' + page + '"]').addClass('active');
                    $('.timeline-date-scrubber ul li.active').parent().addClass('open');
                }
            });
        }
    });
    // Show more
    // ---------------------
    var showMoreElement = false;
    function sm_element_check(t) {
        var sm_ele_page = t.data('page');
        var sm_prev_ele_page = sm_ele_page - 1;
        var sm_prev_ele_check = $('.timeline').find('.timeline-pale[data-page="'+ sm_prev_ele_page +'"]');
        if ( sm_prev_ele_check.length === 0 ) {
            showMoreElement = true;
        } else {
            showMoreElement = false;
        }
    }

    $(document).on('click', '.show-more-time-page', function(event) {
       event.preventDefault();
       var t = $(this);
       var sm_currPage = $(this).data('page');
       var dwtl_sm = $('.timeline').data('infinitescroll');
       var sm_prevPage = parseInt( sm_currPage ) - 1;
       if (!contentLoading && !moveByScrubber) {
               moveByScrubber = sm_currPage;
               dwtl_sm._binding('unbind');
               dwtl_sm.options.state.currPage = parseInt(sm_currPage) - 1;
               currPage = dwtl_sm.options.state.currPage;
               if (dwtl_sm.options.state.isDone ) {
                   dwtl_sm.options.state.isDone = false;
               }
               dwtl_sm.retrieve();
               $(this).remove();
               sm_element_check(t);
           }
   });


    // Get Starte2
    //------------------------
    $('.touch #get-started').click(function() {
        $(this).addClass('active');
        setTimeout(function(){
            $('#get-started').removeClass('active');
        },300);        
    });

    $('.no-touch #get-started').mouseover(function() {
        $(this).addClass('active');
    });

    $('.no-touch #get-started').mouseout(function() {
        $(this).removeClass('active');
    });

    $('#get-started').click(function() {
        var wrapPos = $('.wrap > .container').offset().top;
        wpadminbar_height = $('#wpadminbar').outerHeight();
        $('html, body').animate({
            scrollTop: (wrapPos - wpadminbar_height)
        }, 500);
    });
});