if (navigator.userAgent.match(/IEMobile\/10\.0/)) {
  var msViewportStyle = document.createElement('style');
  msViewportStyle.appendChild(
    document.createTextNode(
      '@-ms-viewport{width:auto!important}'
    )
  );
  document.querySelector('head').appendChild(msViewportStyle);
}

jQuery(function($) {
    var timeline = $('.timeline'),
        contentLoading = false,
        moveByScrubber = false,
        loadedPage = [1],
        viewWidth = $(window).outerWidth(),
        viewHeight = $(window).outerHeight();

    // Fix responsive iframe
    // -------------------------------------
    function responsiveIframe() {
        $('iframe').each(function() {
            var parent = $(this).parent().attr('class');
            if (!$(this).hasClass('twitter-tweet') && parent !== 'video-preview form-group') {
                var iw = $(this).attr('width'),
                    ih = $(this).attr('height'),
                    ip = $(this).parent().width(),
                    ipw = ip / iw,
                    ipwh = ih * ipw; 
                if (iw !== '100%') {
                    $(this).css({
                        'width': ip,
                        'height': ipwh,
                    });
                }
            }
        });
    }

    // Nivo lightbox
    // -------------------------------------
    function nivoLightbox() {
        if (dwtl.gallery_lightbox !== 'disable') {
            $('.gallery .thumbnail, .lightbox').nivoLightbox();
        }
    } 

    // Timeline layout
    // -------------------------------------
    function dwtl_layout() {
        var dwtl = $('.timeline');
        var dwtl_width = dwtl.outerWidth();
        var dwlt_half = dwtl.find('.dwtl');
        if (dwtl_width >= 800) {
            dwtl.removeClass('one-col').addClass('two-col');

            var left_Col = 0,
                right_Col = 0;
            dwlt_half.each(function(index, el) {
                if ($(el).hasClass('normal')) {
                    if (left_Col <= right_Col) {
                        $(el).removeClass('dwtl-right').addClass('dwtl-left');
                        left_Col += $(el).outerHeight();
                    } else {
                        $(el).removeClass('dwtl-left').addClass('dwtl-right');
                        right_Col += $(el).outerHeight();
                    }
                } else if ($(el).hasClass('full')) {
                    left_Col = 0;
                    right_Col = 0;
                }
            });
            $('.dwtl').addClass('show');
        } else {
            dwtl.removeClass('two-col').addClass('one-col');
            dwlt_half.each(function(index, el) {
                $(el).removeClass('dwtl-left dwtl-right');
            });
        }
    }

    // 
    function wrap_height() {
        var wpadminbarHeight = $('#wpadminbar').outerHeight();
        $('.wrap').css({
            'min-height': (viewHeight - wpadminbarHeight)
        });
    }

    // 
    function sidebar_hieght() {
        var sidebarHieght = $('.sidebar-primary .inner').outerHeight();
        if (sidebarHieght > viewHeight) {
            $('.sidebar-primary').css({
                'overflow-y': 'scroll'
            });
        }
    }

    // document ready 
    // --------------------------------
    $(document).ready(function() {
        // Main sidebar
        $('.sidebar-toggle.active').click(function() {
            $('.sidebar-primary').css({
                'display': 'block',
                'position': 'fixed'
            });
            sidebar_hieght();
            $('html').addClass('main-sidebar-open');
            setTimeout(function(){
                $('.sidebar-toggle').addClass('x').removeClass('active');
            },400);
        });

        $(document).on('click','.wrap, .sidebar-toggle.x', function(){
            $('html').removeClass('main-sidebar-open');
            setTimeout(function() {
                $('.sidebar-primary').css({
                    'display': 'none',
                    'position': 'absolute'
                });
                $('.sidebar-toggle').addClass('active').removeClass('x');
            }, 400);
        });

        // Main nav
        $('.nav-main-toggle.active').click(function() {
            $('.nav-main').css({
                'display': 'block',
                'position': 'fixed'
            });
            
            $('html').addClass('main-nav-open');
            setTimeout(function(){
                $('.nav-main-toggle').addClass('x').removeClass('active');
            },400);
        });

        $(document).on('click','.wrap, .nav-main-toggle.x', function(){
            $('html').removeClass('main-nav-open');
            setTimeout(function() {
                $('.nav-main').css({
                    'display': 'none',
                    'position': 'absolute'
                });
                $('.nav-main-toggle').addClass('active').removeClass('x');
            }, 400);
        });

        $(document).on('click','.sub-nav-open', function(){
            $(this).toggleClass('active');
            sidebar_hieght();
        });

        sidebar_hieght();
        wrap_height();

        // Timeline 
        dwtl_layout();
        // $('html').scrollTop(1);

        // responsive Iframe
        responsiveIframe();

        // Pretty Print
        prettyPrint();

        // Nivo lightbox
        nivoLightbox();

        $('.widget .children').before('<i class="fa fa-caret-right sub-nav-open"></i>');

        // scroll to top button
        $(window).scroll(function() {
            if ($(this).scrollTop() > viewHeight / 2) {
                $('.scrollup').fadeIn();
            } else {
                $('.scrollup').fadeOut();
            }
        });

        $('.scrollup').click(function() {
            $("html, body").animate({
                scrollTop: 0
            }, 600);
            return false;
        });

    });

    // window resize
    // --------------------------------
    $(window).resize(function() {
        sidebar_hieght();
        wrap_height();

        // Timeline 
        dwtl_layout();

        // responsive Iframe
        responsiveIframe();
    });
    // Get Started
    //------------------------
    $('.touch #get-started').click(function() {
        $(this).addClass('active');
        setTimeout(function(){
            $('#get-started').removeClass('active');
        },300);        
    });

    $('.no-touch #get-started').mouseover(function() {
        $(this).addClass('active');
    });

    $('.no-touch #get-started').mouseout(function() {
        $(this).removeClass('active');
    });

    $('#get-started').click(function() {
        var wrapPos = $('.wrap > .container').offset().top;
        wpadminbar_height = $('#wpadminbar').outerHeight();
        $('html, body').animate({
            scrollTop: (wrapPos - wpadminbar_height)
        }, 500);
    });
});