<?php
function dw_timeline_pro_admin_menu() {
	if ( defined( 'WP_ENV' ) && 'development' === WP_ENV ) {
		$content_callback = $data['content_callback'];
	} else {
		$content_callback = 'dw_timeline_pro_intro';
	}
	add_theme_page(
		__( 'DW Timeline Pro', 'dw-timeline-pro' ),
		__( 'DW Timeline Pro', 'dw-timeline-pro' ),
		'manage_options',
		'dw-timeline-pro',
		$content_callback
	);
}
add_action( 'admin_menu', 'dw_timeline_pro_admin_menu' );

function dw_timeline_pro_admin_menu_style() {
	echo '<style type="text/css">#adminmenu .toplevel_page_fw-extensions .wp-menu-image img{padding-top:7px} .toplevel_page_fw-extensions > .wp-menu-image:before{display:none}</style>';
}
add_action( 'admin_head', 'dw_timeline_pro_admin_menu_style' );

function dw_timeline_pro_intro() {
	if ( isset( $_GET['tab'] ) ) $current = $_GET['tab']; else $current = 'getting-started';
	$tabs = array( 'getting-started' => __( 'Getting Started', 'dw-timeline-pro' ), 'changelogs' => __( 'Changelogs', 'dw-timeline-pro' ) );
	$current_theme = wp_get_theme(); ?>
	<div class="wrap about-wrap gk">
		<div class="about-us">
			<div class="left gk-info">
				<h1><?php printf( __( 'Welcome to %1s', 'dw-timeline-pro' ), $current_theme->get( 'Name' ) ); ?></h1>
				<p class="about-text"><?php _e( 'Thank you for purchasing our WordPress theme. If you have any question about this theme, please submit to our <a href="https://www.designwall.com/question/">Q&A section</a>.', 'dw-timeline-pro' ); ?></p>
			</div>
			<div class="right gk-logo">
				<img src="<?php echo get_template_directory_uri(); ?>/screenshot.png" width="120" height="120" alt="timeline screenshot">
				<ul class="text-center">
					<li>By <a href="https://www.designwall.com/" target="blank">DesignWall</a></li>
						<li>Version <?php echo $current_theme->get( 'Version' );?></li>
					</ul>
			</div>
		</div>
		<h2 class="nav-tab-wrapper" id="dw-tabs">
		<?php foreach( $tabs as $tab => $name ){
			$class = ( $tab == $current ) ? ' nav-tab-active' : '';
			echo "<a class='nav-tab$class' href='admin.php?page=dw-timeline-pro&tab=$tab#top#$tab'>$name</a>";
		} ?>
		</h2>

		<?php switch ( $current ) { case 'getting-started' : ?>
		<div id="getting-started" class="active  content-info left">
			<p class="about-description"><?php printf( __( 'Use the tips below to get started using %s. You will be up and running in no time!', 'dw-timeline-pro' ), $current_theme->get( 'Name' ) ); ?></p>
			<div class="timeline-box timeline-install-plugins">
				<h2><?php _e( 'Install Required & Recommended Plugins', 'dw-timeline-pro' ); ?></h2>
				<p class="desc"><?php _e( 'In order to bring more features to the theme, we provide a list of recommended plugins. This makes the theme look and work better. All the plugins are tested to be fully compatible with the theme.', 'dw-timeline-pro' ); ?></p>
				<p><a href="admin.php?page=dw-timeline-pro-install-plugins" target="_blank" class="gk-btn button button-primary"><?php _e( 'Click to install plugins', 'dw-timeline-pro' ); ?></a></p>
			</div>
			<div class="timeline-box">
				<h2><?php _e( 'Install Demo Content', 'dw-timeline-pro' ); ?></h2>
				<p class="desc"><?php _e( 'Installing demo content makes your site look exactly like our demo site. It deletes the content you are currently having on your website. However, we have created a backup of your current content in (<a href="tools.php?page=fw-backups">Tools > Backup</a>). You can restore the backup here at any time.', 'dw-timeline-pro' ); ?></p>
				<p><a href="tools.php?page=fw-backups-demo-content" target="_blank" class="gk-btn button button-primary"><?php _e( 'Go to install demo', 'dw-timeline-pro' ); ?></a></p>
			</div>


		</div>

		<?php break; case 'changelogs' : ?>
		<div id="changelogs" class="active">
		<?php
		$file = file_exists( get_template_directory() . '/changelogs.txt' ) ? get_template_directory() . '/changelogs.txt' : false;
		if ( !$file ) {
			$readme = '<p>' . __( 'No valid changelog was found.', 'dw-timeline-pro' ) . '</p>';
		} else {
			$readme = file_get_contents( $file );
			$readme = nl2br( esc_html( $readme ) );
			$readme = preg_replace( '/`(.*?)`/', '<code>\\1</code>', $readme );
			$readme = preg_replace( '/[\040]\*\*(.*?)\*\*/', ' <strong>\\1</strong>', $readme );
			$readme = preg_replace( '/[\040]\*(.*?)\*/', ' <em>\\1</em>', $readme );
			$readme = preg_replace( '/= (.*?) =/', '<h3>\\1</h3>', $readme );
			$readme = preg_replace( '/\[(.*?)\]\((.*?)\)/', '<a href="\\2">\\1</a>', $readme );
		}
		echo '<p>'. $readme . '</p>';
		?>
		</div>
		<?php break; } ?>
	</div>
	<?php
}
