<?php 
$date_condition_check = get_option('dw_timeline_theme_options');
$date_condition = !empty( $date_condition_check['dw_timeline_main_pagination_enable'] ) ? $date_condition_check['dw_timeline_main_pagination_enable'] : false;
 if ( 'yes' == $date_condition ) {
	$date_order = !empty( $date_condition_check['dw_timeline_main_orderby'] ) ? $date_condition_check['dw_timeline_main_orderby'] : 'DESC';
  if ( is_archive() ) {
  	$body_class = get_body_class();
  	if ( in_array( 'author' , $body_class ) ) {
  		$author_id = substr( $body_class[3] , 7 );
  		$date_array = dw_timeline_get_date_array( $author_id, 'author', $date_order );
  	} else {
	  	if ( in_array( 'tag' , $body_class ) ) {
	  		$term_id = substr( $body_class[3] , 4 );
	  	} else if ( in_array( 'category' , $body_class ) ) {
	  		$term_id = substr( $body_class[3] , 9 );
	  	} else if ( in_array( 'tax-post_format' , $body_class ) ) {
	  		$term_id = substr( $body_class[3] , 5 );
	  	}
	  	$date_array = dw_timeline_get_date_array( $term_id, 'term', $date_order );
  	}
  } else {
  	$date_array = dw_timeline_get_date_array(null, null, $date_order);
  }
 }
?>

<div class="timeline two-col">
			<?php if ( 'yes' == $date_condition ) {
					if ( isset( $date_array[0] ) ) {
						$y_str2t = strtotime( $date_array[0] );
				  		$y_date = date_i18n( 'Y' , $y_str2t );
				  		echo '<div class="timeline-pale line-year year-point dwtl full" data-year="'. $y_date.'"><span class="bubble">'. $y_date .'</span></div>'; 
		  		}
			}
		?>
 <div data-page="1" class="timeline-pale dwtl full remove-time-anchor"><span>
  	<?php if ( 'yes' == $date_condition ) {
  				if ( isset( $date_array[0] ) ) {
			  		$f_str2t = strtotime( $date_array[0] );
			  		$f_date = date_i18n( 'F' , $f_str2t );
					echo esc_attr( $f_date );
				}
			
  	} else {
  	 	_e('Page 1','dw-timeline-pro');
  	} ?>
	</span>
  </div>
  <?php if ( have_posts() ):?>
	<?php  
	  $page = get_query_var('paged');
	  	$page = $page ? $page : 1;
	 	$pages = $wp_query->max_num_pages;
	 	$date_class = "";
	 	if ( 'yes' == $date_condition ) {
	 		$date_class = "date-";
	 	}
			if( $pages > 1 ) {
			$i = 1;
				echo '<div class="timeline-'.$date_class.'scrubber">';
				if ( 'yes' == $date_condition ) {
					dw_time_line_pro_pagination( $pages , $date_array );
				} else {
					echo '<ul>';
				        for ( $i=1 ; $i <= $pages; $i++) { 
				          if ($i % 10 == 0) {
				            echo '</ul><li ';
				          } else {
				            echo '<li ';
				          }

				          if( $i == 1 ) {
				            echo ' class="active show" ';
				          }

				          echo ' data-page="'.$i.'"><a href="#" >'.__('Page','dw-timeline-pro').' '.$i.'</a>';

				          if ($i % 10 == 0) {
				            echo '</li><ul> ';
				          } elseif ($i == 1) {
				            echo '</li><ul>';
				          } else {
				            echo '</li>';
				          }      
				    
		        }
		        echo '</ul>';    
			}
			echo '</div>';
		}
	?>
	<?php 
	  $post_form = dw_timeline_get_theme_option('dw_timeline_post_form');
	  if( $page == 1 && is_user_logged_in() && current_user_can( 'publish_posts' ) && $post_form != 'no' ) : 
	?>
	  <?php get_template_part( 'templates/post-form' ); ?>
	<?php endif; // Front-end post form for admin user ?>
	
	
	<?php // get_template_part( 'templates/home', 'stickiest' ); //Sticky posts ?>

	<?php while (have_posts()) : the_post(); ?>
	  <?php get_template_part('templates/content', get_post_format()); ?>
	  
	  <?php if ( $wp_query->max_num_pages == 1): ?>
		<div id="infscr-loading" class="finished"><span><?php _e('The end','dw-timeline-pro') ?></span></div>
	  <?php else : ?>
		<div id="infscr-loading"><div class="show-more"><?php _e('more','dw-timeline-pro') ?></div></div>
	  <?php endif ?>
	<?php endwhile; ?>

	<?php if ($wp_query->max_num_pages > 1) : ?>
	  <nav class="post-nav">
		<ul class="pager">
		  <li class="previous"><?php next_posts_link(__('&larr; Older posts', 'dw-timeline-pro')); ?></li>
		  <li class="next"><?php previous_posts_link(__('Newer posts &rarr;', 'dw-timeline-pro')); ?></li>
		</ul>
	  </nav>
	<?php endif; ?>
  <?php else: ?>
	<?php get_template_part('templates/content', 'none'); ?>
  <?php endif ?>
</div