<?php
/**
 *  DW Timeline initial setup and constants
 */
function dw_timeline_setup() {
	// Make theme available for translation
	load_theme_textdomain('dw-timeline-pro', get_template_directory() . '/lang');

	// Register wp_nav_menu() menus (http://codex.wordpress.org/Function_Reference/register_nav_menus)
	register_nav_menus(array(
		'primary_navigation' => __('Primary Navigation', 'dw-timeline-pro'),
		));
	
	// Add post thumbnails (http://codex.wordpress.org/Post_Thumbnails)
	add_theme_support('post-thumbnails');
	// set_post_thumbnail_size(150, 150, false);
	// add_image_size('category-thumb', 300, 9999); // 300px wide (and unlimited height)

	// Add post formats (http://codex.wordpress.org/Post_Formats)
	add_theme_support('post-formats', array('aside', 'gallery', 'link', 'image', 'quote', 'status', 'video', 'audio'));

	// Tell the TinyMCE editor to use a custom stylesheet
	add_editor_style('/assets/css/editor-style.css');

	// This feature enables post and comment RSS feed links to head
	add_theme_support( 'automatic-feed-links' );

	$header_args = array(
		'width'                  => 1350,
		'height'                 => 660,
		'flex-height'            => true,
		'flex-width'             => true,
		);
	add_theme_support( 'custom-header', $header_args );

	add_theme_support( 'title-tag' );

	global $pagenow;

	if ( is_admin() && 'themes.php' == $pagenow && isset( $_GET['activated'] ) ) {

		wp_redirect(admin_url("themes.php?page=dw-timeline-pro")); // Your admin page URL
		die();
	}
}
add_action('after_setup_theme', 'dw_timeline_setup');

// Backwards compatibility for older than PHP 5.3.0
if (!defined('__DIR__')) { define('__DIR__', dirname(__FILE__)); }

function dw_timeline_pro_register_required_plugins() {
	$plugins = array(
		array(
			'name'        => 'Unyson',
			'slug'        => 'unyson',
			'required'    => true,
			),
		);

	$config = array(
		'id'           => 'dw-timeline-pro',
		'menu'         => 'dw-timeline-pro-install-plugins',
		'parent_slug'  => 'dw-timeline-pro'
		);
	tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'dw_timeline_pro_register_required_plugins' );

